Apache™ > Apache Ant™ > Apache Ivy™ > Documentation

## Apache Ivy™

- Documentation
  - Release Notes
  - Tutorials
    - Quick Start
    - Adjusting default settings
    - Multiple Resolvers
    - Dual Resolver
    - Project dependencies
    - Using Ivy in multiple projects environment
    - Using Ivy Module Configurations
    - Building a repository
      - Basic repository copy
      - Using namespaces
    - More examples
  - Reference
    - Introduction
      - Terminology
      - Main Concepts
      - Text Conventions
      - How does it work ?
      - Best practices
      - Installation
    - Settings Files
      - property
      - properties
      - settings
      - include
      - classpath
      - typedef
      - credentials
      - signers
      - lock-strategies
      - caches
        - cache
          - ttl
      - latest-strategies
      - parsers
      - namespaces
        - namespace
          - rule
            - fromsystem / tosystem
              - src
              - dest
      - macrodef
        - attribute
      - resolvers
        - IvyRep Resolver
        - IBiblio Resolver
        - Packager resolver
        - File System resolver
        - Url Resolver
        - Chain Resolver
        - Dual resolver
        - sftp resolver
        - ssh resolver
        - vfs resolver
        - Jar resolver
        - OSGi Bundle Repository
        - Eclipse updatesite
        - Mirrored Resolver
      - conflict-managers
      - modules
        - module
      - outputters
      - signers
      - statuses
        - status
      - triggers
      - version-matchers
    - Ivy Files
      - info
        - extends
        - license
        - ivyauthor
        - repository
        - description
      - configurations
        - conf
        - include
      - publications
        - artifact
          - conf
      - dependencies
        - dependency
          - conf
            - mapped
          - artifact
            - conf
          - exclude
            - conf
          - include
            - conf
        - exclude
        - override
        - conflict
      - conflicts
        - manager
    - Ant Tasks
      - artifactproperty
      - artifactreport
      - buildlist
      - buildobr
      - buildnumber
      - cachefileset
      - cachepath
      - cleancache
      - configure
      - convertmanifest
      - convertpom
      - deliver
      - findrevision
      - info
      - install
      - listmodules
      - makepom
      - post resolve tasks
      - publish
      - repreport
      - resolve
      - resources
      - retrieve
      - report
        - Using yEd to layout report graphs
      - settings
      - var
    - Using standalone
    - OSGi
      - OSGi mapping
      - Building an Eclipse plugin
      - Building a standard OSGi bundle
      - Managing a target platform
      - Apache Felix Sigil
  - Developer doc
    - Extending Ivy
    - Making a release

# Documentation

This page has moved. If your browser doesn't automatically redirect to its new location, click
here.

:: Home :: Reference :: Tutorials :: Developer's doc ::

Copyright © 2013 The Apache Software Foundation, Licensed under the Apache License, Version 2.0.
Apache Ivy, Apache Ant, Ivy, Ant, Apache, the Apache Ivy logo, the Apache Ant logo and the Apache feather logo are trademarks of The Apache Software Foundation.
All other marks mentioned may be trademarks or registered trademarks of their respective owners.